Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

pricegroups.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: pricegroups.php 8510 2001-11-19 10:28:54Z br $
5 //
6 // Created on: <23-Feb-2001 12:09:51 amos>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlocale.php" );
30 // include_once( "classes/ezcurrency.php" );
31 // include_once( "classes/ezlist.php" );
32
33 // include_once( "eztrade/classes/ezpricegroup.php" );
34
35 $page_path = "/trade/pricegroups";
36
37 if ( isset( $Action ) && $Action == "list" )
38 {
39 $Offset = false;
40 $ListType = false;
41 }
42
43 if ( isset( $New ) )
44 {
45 eZHTTPTool::header( "Location: $page_path/new" );
46 exit();
47 }
48
49 if ( isset( $Delete ) )
50 {
51 if ( isset( $ItemArrayID ) && count( $ItemArrayID ) > 0 )
52 {
53 foreach( $ItemArrayID as $item )
54 {
55 eZPriceGroup::delete( $item );
56 }
57 }
58 eZHTTPTool::header( "Location: $page_path/list" );
59 exit();
60 }
61
62 $language_file = "pricegroups.php";
63
64 $item_type = new eZAddressType();
65 $item_type_array = eZPriceGroup::getAll();
66 $move_item = true;
67
68 eZList::drawList( array( "language_file" => $language_file,
69 "page_path" => $page_path,
70 "item_type_array" => $item_type_array,
71 "total_types" => 0,
72 "action" => $Action,
73 "offset" => $Offset,
74 "list_type" => $ListType,
75 "module" => "eztrade",
76 "module_main" => "eZTradeMain",
77 "place" => "admin",
78 "templatedir" => "AdminTemplateDir",
79 "HTTP_REFERER" => $_SERVER['HTTP_REFERER'],
80 "back_url" => false,
81 "item_id" => false,
82 "item_name" => false,
83 "search_text" => false,
84 "search_encoded" => false,
85 "max" => false,
86 "header_names" => array( "{intl-name}", "{intl-description}" ),
87 "custom_func_call" => array( "description" ),
88 "form_command" => "$page_path/list" ) );
89
90 ?>
eZAddressType
Definition: ezaddresstype.php:46
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZList\drawList
static drawList( $params, $no_print=false)
Definition: ezlist.php:70
eZPriceGroup\getAll
static & getAll( $as_object=true)
Definition: ezpricegroup.php:127
eZPriceGroup\delete
delete( $id=false)
Definition: ezpricegroup.php:102
$item
$item
Definition: classes/admin/linklist.php:228
$Action
$Action
Definition: companysearch.php:80
$ListType
$ListType
Definition: ezaddress/admin/datasupplier.php:31
$Offset
$Offset
Definition: ezarticle/user/search.php:110
exit
exit
Definition: folder.php:81
$language_file
if(isset( $Action) && $Action=="list") if(isset( $New)) if(isset( $Delete)) $language_file
Definition: pricegroups.php:62
$item_type_array
$item_type_array
Definition: pricegroups.php:65
$item_type
$item_type
Definition: pricegroups.php:64
$page_path
$page_path
Definition: pricegroups.php:35
$move_item
$move_item
Definition: pricegroups.php:66
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.